#include <SoftwareSerial.h>
#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
  #include <avr/power.h>
#endif
#define PIN 8 
Adafruit_NeoPixel strip = Adafruit_NeoPixel(9, PIN, NEO_GRB + NEO_KHZ800);

int smoke = 7;
int desire = 150;
int sensor = 0;
byte RX = 0;
byte TX = 1;
char val;
char addr1= "n1";
char addr2= "n2";
SoftwareSerial myserial(RX,TX);

void setup()                   
{   
    pinMode(smoke,INPUT);
    strip.begin();
    strip.show();
    myserial.begin(9600);           // set up Serial library at 9600 bps
}




void loop()                       // run over and over again
{
   sensor = analogRead(smoke);

 // myserial.println(sensor);
 
 delay(50);
   if (sensor > desire){

  myserial.write("1");
  delay(500);
  myserial.write("2");
 colorWipe(strip.Color(255, 0, 0), 50); // Red
 
  delay(10);
  }
  val= myserial.read();
  
  if (val==addr1){
    myserial.write("node1");
  }
  if (val==addr2){
    myserial.write("node2");
  }
else
  {
       colorWipe(strip.Color(0, 0, 0), 50);
 //    myserial.write("good");
      }
  
}

void colorWipe(uint32_t c, uint8_t wait) {
  for(uint16_t i=0; i<strip.numPixels(); i++) {
    strip.setPixelColor(i, c);
    strip.show();
    delay(wait);
  }
}


void theaterChase(uint32_t c, uint8_t wait) {
  for (int j=0; j<10; j++) {  //do 10 cycles of chasing
    for (int q=0; q < 3; q++) {
      for (uint16_t i=0; i < strip.numPixels(); i=i+3) {
        strip.setPixelColor(i+q, c);    //turn every third pixel on
      }
      strip.show();

      delay(100);

      for (uint16_t i=0; i < strip.numPixels(); i=i+3) {
        strip.setPixelColor(i+q, 0);        //turn every third pixel off
      }
    }
  }
}
